import request from '@/utils/request'


// 工程项目-列表
export function getProjectList(query) {
  return request({
    url: '/bmProjectInfo/getProjectInfo',
    method: 'get',
    params: query
  })
}
// //工程项目-详情
// export function getMachine(maId) {
//   return request({
//     url: '/base/machine/' + maId,
//     method: 'get'
//   })
// }
//
//工程项目--新增
export function addProject(data) {
  return request({
    url: '/bmProjectInfo',
    method: 'post',
    data: data
  })
}

// 工程项目--修改
export function updateProject(data) {
  return request({
    url: '/bmProjectInfo',
    method: 'put',
    data: data
  })
}
// //工程项目--删除
export function delProject(proId) {
  return request({
    url: '/bmProjectInfo/' + proId,
    method: 'delete'
  })
}
















